Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackClientSocket Class Reference

Client socket. More...

`#include <JackSocket.h>`

Inheritance diagram for Jack::JackClientSocket:

## Public Member Functions
| JackClientSocket (int socket)
int | Connect (const char *dir, const char *name, int which)
int | Close ()
int | Read (void *data, int len)
int | Write (void *data, int len)
int | GetFd ()
void | SetReadTimeOut (long sec)
void | SetWriteTimeOut (long sec)
void | SetNonBlocking (bool onoff)

## Detailed Description

Client socket.

Definition at line 41 of file JackSocket.h.

The documentation for this class was generated from the following files:

- JackSocket.h
- JackSocket.cpp